Create Payable Register File (file upload): Yardi
https://api.propexo.com/v1/payable-registers/yardi/:payable_register_id/file-uploadCreate Payable Register File: Yardi. This endpoint will only accept png image files.
| Interface | Method |
|---|---|
| Vendor Invoicing | ImportInvoiceRegisterImage |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the payable register
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
attachment objectrequired
Base64 value for a PNG image to attach to the Payable Register.
Possible values: <= 66500000 characters
The page type of the image to attach to the Payable Register. If not provided, the back page will be used.
Show 2 enum values
FRONTBACKThe page number of the image to attach to the Payable Register. If not provided, page number 1 will be used.
Possible values: >= 0
The page count of the image to attach to the Payable Register. If not provided, page number 1 will be used.
Possible values: >= 0
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the payable register
attachment objectrequired
Possible values: <= 66500000 characters
Show 2 enum values
FRONTBACKPossible values: >= 0
Possible values: >= 0
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/payable-registers/yardi/:payable_register_id/file-upload \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"attachment": {
"file_data": "string"
}
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"payable_register_id": "string",
"vendor_id": "string",
"attachment": {
"file_data": "string"
},
"page_type": "FRONT",
"page_number": 0,
"page_count": 0
}
}